# ts-lib-starter

TypeScript Library Starter for DAOT projects

## Usage

Modify [package.json]().

Commit changes with [Commitizen](https://commitizen.github.io/cz-cli/):
```shell
npx cz
```

Or still use `git commit` and follow [the Conventional Commits spec](https://www.conventionalcommits.org/en/v1.0.0/#summary), your commits will be linted before accepted.

To run `Jest` test:
```shell
npm run test
```

To lint with `ESLint`:
```shell
npm run lint
```

To build with `tsup`:
```shell
npm run build
```

To publish to npm:
```shell
npm run pub
```

To debug with `ts-node`:
```shell
ts-node -r tsconfig-paths/register src/index.ts
```
