"use strict";

// src/index.ts
var plugin = {
  rules: {
    "scope-enum-enhanced": (parsed, when = "always", value = []) => {
      if (!parsed.scope) {
        return [true, ""];
      }
      const npmScopes = parsed.scope.split(",");
      if (!Array.isArray(value)) {
        throw new TypeError("config value should be a string array");
      }
      const result = value.length === 0 || npmScopes.every((s) => value.includes(s));
      const negated = when === "never";
      return [
        negated ? !result : result,
        `scope must${negated ? ` not` : ""} be one of [${value.join(", ")}]`
      ];
    }
  }
};
module.exports = plugin;
